package com.srs.comprehensive.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.srs.common.core.domain.entity.SysUser;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 第二课堂对象 cph_classtwo
 * 
 * @author zhy
 * @date 2023-07-03
 */
@TableName("cph_classtwo")
@Data
public class CphClasstwo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 第二课堂 */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 提交人id */
    @Excel(name = "提交人id")
    private Long submitter;

    /** 学年id */
    @Excel(name = "学年id")
    private Long stuYearId;

    /** 加分人id */
    @Excel(name = "加分人id")
    private Long toAdd;

    /** 加分人id */
    @Excel(name = "得分")
    private BigDecimal classtwoScore;

    /** 加分人id */
    @Excel(name = "规则记录")
    private Long ruleId;

    /** 佐证材料 */
    @Excel(name = "佐证材料")
    private String material;

    /** 备注 */
    @Excel(name = "备注")
    private String description;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private String auditStatus;

    /** 学生*/
    @TableField(exist = false)
    private SrsStudent student;


    /** 学年*/
    @TableField(exist = false)
    private SrsStuYear stuYearS;
    /** 规则*/
    @TableField(exist = false)
    private CphRules rules;

    //@Excel(name = "学号")
    private String stuNo;

    @TableField(exist = false)
    public String finalScore;


    @TableField(exist = false)
    private SysUser user;

    /** 学院id */
    @TableField(exist = false)
    private Long deptId;

    /** 专业id */
    @TableField(exist = false)
    private Long majorId;
    public SysUser getUser() {
        return user;
    }

    public void setUser(SysUser user) {
        this.user = user;
    }
    public SrsStudent getStudent() {
        return student;
    }

    public void setStudent(SrsStudent student) {
        this.student = student;
    }

    public SrsStuYear getStuYearS() {
        return stuYearS;
    }

    public void setStuYearS(SrsStuYear stuYearS) {
        this.stuYearS = stuYearS;
    }


    public CphRules getRules() {
        return rules;
    }

    public void setRules(CphRules rules) {
        this.rules = rules;
    }



    /** 删除标记（0存在2删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSubmitter(Long submitter) 
    {
        this.submitter = submitter;
    }

    public Long getSubmitter() 
    {
        return submitter;
    }
    public void setStuYearId(Long stuYearId) 
    {
        this.stuYearId = stuYearId;
    }

    public Long getStuYearId() 
    {
        return stuYearId;
    }
    public void setToAdd(Long toAdd) 
    {
        this.toAdd = toAdd;
    }

    public Long getToAdd() 
    {
        return toAdd;
    }
    public void setMaterial(String material) 
    {
        this.material = material;
    }

    public String getMaterial() 
    {
        return material;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setAuditStatus(String auditStatus) 
    {
        this.auditStatus = auditStatus;
    }

    public String getAuditStatus() 
    {
        return auditStatus;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("submitter", getSubmitter())
            .append("stuYearId", getStuYearId())
            .append("toAdd", getToAdd())
            .append("classtwoScore", getClasstwoScore())
            .append("ruleId", getRuleId())
            .append("material", getMaterial())
            .append("description", getDescription())
            .append("auditStatus", getAuditStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }

    public BigDecimal getClasstwoScore() {
        return classtwoScore;
    }

    public void setClasstwoScore(BigDecimal classtwoScore) {
        this.classtwoScore = classtwoScore;
    }

    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    public String getStuNo() {
        return stuNo;
    }

    public void setStuNo(String stuNo) {
        this.stuNo = stuNo;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getMajorId() {
        return majorId;
    }

    public void setMajorId(Long majorId) {
        this.majorId = majorId;
    }
}
